Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class CounterProposal

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.Appointment
                      com.compoze.domino.Notice
                          com.compoze.domino.CounterProposal

All Implemented Interfaces:
  java.io.Serializable

public class CounterProposal
extends Notice
implements java.io.Serializable

This class is a Domino counter proposal. Counter proposal instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the counter proposal was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  `NoticeType.COUNTERED`, Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a counter proposal.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`java.util.Date` | `getNewEndDateTime()` Gets the new end date and time for this invitation.
`java.lang.String` | `getNewEndDateTimeString(java.text.DateFormat dateFormat)` Gets the new end date time for this invitation formatted with the specified date format.
`java.util.Date` | `getNewStartDateTime()` Gets the new start date and time for this invitation.
`java.lang.String` | `getNewStartDateTimeString(java.text.DateFormat dateFormat)` Gets the new start date time for this invitation formatted with the specified date format.
`void` | `serverAcceptCounter(java.util.Date startDate, java.util.Date endDate, java.lang.String sComment)` Hits the server and accepts the counter proposal.
`void` | `serverDeclineCounter(java.lang.String sComment)` Hits the server and declines the counter proposal.

Methods inherited from class com.compoze.domino.Notice
`getAppointmentID, getNoticeType, getStatusUpdate, getTitle, getTitle, getTopic, serverRemove`

Methods inherited from class com.compoze.domino.Appointment
`getAppointmentType, getChair, getEndDateTime, getEndDateTimeString, getInstanceType, getLocation, getPreventCounter, getPreventDelegate, getPrincipal, getStartDateTime, getStartDateTimeString, isAllDayEvent, isAnniversary, isBookFreeTime, isChair, isChair, isMarkPrivate, isRepeating, serverCancel, serverCancel, serverCancel, serverConfirm, serverDelete, serverDelete, serverGetInstanceInfoArray, serverGetRepeatPattern, serverGetResponses, serverSetRepeatPattern, serverUpdate, serverUpdate, serverUpdate, serverUpdate, setBookFreeTime, setDateTimes, setLocation, setMarkPrivate, setPreventCounter, setPreventDelegate, subList, subList`

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a counter proposal. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### serverAcceptCounter

    public void serverAcceptCounter(java.util.Date startDate,
                                    java.util.Date endDate,
                                    java.lang.String sComment)
                             throws DominoException

  Hits the server and accepts the counter proposal.

  Note: the start date must be before the end date. If not, the dates are swapped. Counter proposal times cannot span midnight therefore, only the time component of the end date is used. This time must still be before the start date.

  Parameters:
    `startDate` - the start date and time (must not be `null`)
    `endDate` - the end date and time (must not be `null`)
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`

### serverDeclineCounter

    public void serverDeclineCounter(java.lang.String sComment)
                              throws DominoException

  Hits the server and declines the counter proposal.

  Parameters:
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`

### getNewStartDateTime

    public java.util.Date getNewStartDateTime()
                                       throws DominoException

  Gets the new start date and time for this invitation.

  Returns:
    the new start date and time or `null` if this is not a countered invitation
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NEW_START_DATE`, `PropertyKey.NEW_START_TIME`, `NoticeType.COUNTERED_INVITATION`

### getNewStartDateTimeString

    public java.lang.String getNewStartDateTimeString(java.text.DateFormat dateFormat)
                                               throws DominoException

  Gets the new start date time for this invitation formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the new start date time or empty string if new start date time property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.START_DATE_TIME`

### getNewEndDateTime

    public java.util.Date getNewEndDateTime()
                                     throws DominoException

  Gets the new end date and time for this invitation.

  Returns:
    the new end date and time or `null` if this is not a countered invitation
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NEW_END_DATE`, `PropertyKey.NEW_END_TIME`, `NoticeType.COUNTERED_INVITATION`

### getNewEndDateTimeString

    public java.lang.String getNewEndDateTimeString(java.text.DateFormat dateFormat)
                                             throws DominoException

  Gets the new end date time for this invitation formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the new end date time or empty string if new end date time property is `null`
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.END_DATE_TIME`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.